Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDebugLeaksManager Class Reference

`#include <vtkDebugLeaksManager.h>`

List of all members.

## Detailed Description

Manages the vtkDebugLeaks singleton.

Date:
  2002/07/01 22:05:23

Revision:
  1.2

vtkDebugLeaksManager should be included in any translation unit that will use vtkDebugLeaks or that implements the singleton pattern. It makes sure that the vtkDebugLeaks singleton is created before and destroyed after all other singletons in VTK.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (93%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDebugLeaksManager.h)`
  - .`cxx` (`/Common/vtkDebugLeaksManager.cxx)`

Definition at line 44 of file vtkDebugLeaksManager.h.

## Public Methods

| vtkDebugLeaksManager ()
| ~vtkDebugLeaksManager ()

## Constructor & Destructor Documentation

vtkDebugLeaksManager::vtkDebugLeaksManager | ( |  | ) |

vtkDebugLeaksManager::~vtkDebugLeaksManager | ( |  | ) |

The documentation for this class was generated from the following file:

- Common/vtkDebugLeaksManager.h